net.sf.jasperreports.charts

## Interface JRPieSeries

- All Superinterfaces:
    java.lang.Cloneable, JRCloneable
  All Known Implementing Classes:
    JRBasePieSeries, JRDesignPieSeries, JRFillPieSeries

      public interface JRPieSeries
      extends JRCloneable

  Represents the series for the Pie dataset.
  Version:
    $Id: JRPieSeries.java 6995 2014-04-01 11:26:53Z shertage $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRExpression` | `getKeyExpression()`
    `JRExpression` | `getLabelExpression()`
    `JRHyperlink` | `getSectionHyperlink()` Returns the hyperlink specification for chart sections.
    `JRExpression` | `getValueExpression()`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Method Detail

    - #### getKeyExpression

          JRExpression getKeyExpression()

      Returns:
        a `java.lang.Comparable` object representing the categories that will make up the slices in the pie chart.

    - #### getValueExpression

          JRExpression getValueExpression()

      Returns:
        a numeric expression that produces the values corresponding to each category/key in the dataset.

    - #### getLabelExpression

          JRExpression getLabelExpression()

      Returns:
        the label expression. If this expression is missing, the chart will display default labels for each slice in the pie chart. Use this expression, which returns `java.lang.String` values, to customize the item labels for the pie chart.

    - #### getSectionHyperlink

          JRHyperlink getSectionHyperlink()

      Returns the hyperlink specification for chart sections.

      The hyperlink will be evaluated for every chart section and an image map will be created for the chart.

      Returns:
        hyperlink specification for chart sections

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com